// routes/processRoutes.js
const express = require('express');
const router = express.Router();
const processController = require('../controllers/processController');

// CREATE
router.post('/', processController.createProcess);

// READ ALL
router.get('/', processController.getAllProcesses);

// READ ONE
router.get('/:process_id', processController.getProcessById);

// UPDATE
router.put('/:process_id', processController.updateProcess);

// DELETE
router.delete('/:process_id', processController.removeProcess);

module.exports = router;